//----------------------------------------------------------------------------
//
//       FILENAME: NonVolatile.h
//
//    DESCRIPTION: user defined non volatile memory modification
//
//  LAST MODIFIED: Oct 23, 2006
//
//	        NOTES: - Some functions require quite a large amount of 
//				     stack space (about 90 Bytes) during execution!
//	               - Functions requiring Flash Write Cycles take about 
// 					 40ms to execute, thus possibly stalling USB 
//					 communication for 40 frames! 
//
//-----------------------------------------------------------------------------
// Originally authored by Toradex AG. This work is now available under the terms and conditions
// of the Creative Commons License 'Attribution CC BY', details of which can be found here:
// http://creativecommons.org/licenses/by/3.0/
//----------------------------------------------------------------------------

// change Flash memory content
//  - temperature measurement included
//  - data may be split across multiple flash blocks (a block is 64 Bytes)
//  - return value is 0 if there was an error
BYTE Flash_Modify (const BYTE *dest, BYTE *src, BYTE length);

// change a part of a single flash block
BYTE Flash_ModifyBlk (BYTE FlashBlk, BYTE BlkOffset, BYTE *src, BYTE Length, BYTE Temperature);
